Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

ASA 5505 Upgrading

I am wanting to upgrade my software in my Cisco ASA 5505 before putting it into the production network.  I have called Cisco to get some information about this but cannot seem to get a clear "yes you can" or "no you can't" upgrade answer so I thought I would post it here.

Here is what this device is currently running.  (I just cut/pasted to prevent typos.)

__________________________________________________________________

ASA5505# sh ver

Cisco Adaptive Security Appliance Software Version 7.2(4)

Device Manager Version 5.2(4)

Compiled on Sun 06-Apr-08 13:39 by builders

System image file is "disk0:/asa724-k8.bin"

Config file at boot was "startup-config"

ASA5505 up 13 days 8 hours

Hardware:   ASA5505, 256 MB RAM, CPU Geode 500 MHz

Internal ATA Compact Flash, 128MB

BIOS Flash M50FW080 @ 0xffe00000, 1024KB

___________________________________________________________________

So is this device upgradeable to any of the 8.4x versions?  And if so, how do I go about obtaining a software upgrade?  As said, the person I talked to at Cisco seemed as he couldn't answer my questions.

3 REPLIES
Super Bronze

ASA 5505 Upgrading

Hi,

Well first you will need to check the whole "show version" output and determine what the actual License of the ASA5505 is.

If you have Base License with 10 users you should be able to upgrade to any of the newest softwares BUT the ASA would be really close to using the maximum RAM it has currently.

If you have a Security Plus with Unlimited Users or just Base License with Unlimited Users you will need to upgrade the ASA5505 to 512MB RAM to be able to run the newer softwares 8.3 and newer.

Here is a chart of the memory requirements

http://www.cisco.com/en/US/prod/collateral/vpndevc/ps6032/ps6094/ps6120/product_bulletin_c25-586414.html

Between your software version and the newest one there are some major differences in the NAT format for example. Naturally if your current NAT configuration is simple it wont be that hard to convert to the new format.

Now to obtain the software I think you need to have a Smartnet contract with Cisco for this device to get support for this device through Cisco TAC and be able to download software through their site.

Here is some Q&A Document about Smartnet

http://www.cisco.com/en/US/services/ps2827/ps2978/services_qa0900aecd8042b4d6.pdf

I guess you would need to approach some Cisco reseller to get this unless you have it already. There seems to be information on the Page 4 of the above PDF file.

- Jouni

New Member

ASA 5505 Upgrading

It is the 10 user license so that's not an issue.  I'll have to check on that Smartnet contract though.  Thanks!

Steve

Super Bronze

ASA 5505 Upgrading

Ok,

I have an ASA5505 with Base License and 10 Users and it has been running just fine with all of the new softwares. I also have 256MB RAM on this ASA unit.

Though the memory is almost at max usage all the time but hasnt caused problems so far.

Lets us know how it goes

Please do remember to mark a reply as the correct answer if it asnwered your question.

Feel free to ask more if needed.

- Jouni

168
Views
0
Helpful
3
Replies